<?xml version="1.0" encoding="UTF-8"?>
<pipeline version=".1">
        <moduleGroup id="BRAINSFit_0" name="BRAINSFit" posX="0" posY="0">
                <module id="BRAINSFit_1" name="BRAINSFit" package="BRAINS" description="NITRC Site Description: &#xA;&#xA;A program for registering images with with mutual information based metric. Several registration options are given for 3,6, 9,12,16 parameter (i.e. translate, rigid, scale, scale/skew, full affine) based constraints for the registration. The program uses the Slicer3 execution model framework to define the command line arguments and can be fully integrated with Slicer3 using the module discovery capabilities of Slicer3" location="pipeline://localhost//Users/cwcoffma/src/BRAINSFit_Files/BRAINS-COMPILE/Darwin/DEBUG-build/bin/BRAINSFit" icon="/9j/2wBDAAgGBgcGBQgHBwcJCQgKDBQNDAsLDBkSEw8UHRofHh0aHBwgJC4nICIsIxwcKDcpLDAx&#xA;NDQ0Hyc5PTgyPC4zNDL/2wBDAQkJCQwLDBgNDRgyIRwhMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIy&#xA;MjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjL/wAAUCABKAFYEASIAAhEBAxEBBCIA/8QAHwAAAQUB&#xA;AQEBAQEAAAAAAAAAAAECAwQFBgcICQoL/8QAtRAAAgEDAwIEAwUFBAQAAAF9AQIDAAQRBRIhMUEG&#xA;E1FhByJxFDKBkaEII0KxwRVS0fAkM2JyggkKFhcYGRolJicoKSo0NTY3ODk6Q0RFRkdISUpTVFVW&#xA;V1hZWmNkZWZnaGlqc3R1dnd4eXqDhIWGh4iJipKTlJWWl5iZmqKjpKWmp6ipqrKztLW2t7i5usLD&#xA;xMXGx8jJytLT1NXW19jZ2uHi4+Tl5ufo6erx8vP09fb3+Pn6/8QAHwEAAwEBAQEBAQEBAQAAAAAA&#xA;AAECAwQFBgcICQoL/8QAtREAAgECBAQDBAcFBAQAAQJ3AAECAxEEBSExBhJBUQdhcRMiMoEIFEKR&#xA;obHBCSMzUvAVYnLRChYkNOEl8RcYGRomJygpKjU2Nzg5OkNERUZHSElKU1RVVldYWVpjZGVmZ2hp&#xA;anN0dXZ3eHl6goOEhYaHiImKkpOUlZaXmJmaoqOkpaanqKmqsrO0tba3uLm6wsPExcbHyMnK0tPU&#xA;1dbX2Nna4uPk5ebn6Onq8vP09fb3+Pn6/9oADgQBAAIRAxEEAAA/APCv7V1H/n/uv+/zf40f2rqP&#xA;/P8A3X/f5v8AGqlFAHv9FFFW/wC1dR/5/wC6/wC/zf405NR1ORgqXt2zHoBKxP8AOqsUbzSLGgLM&#xA;xwAK9IsNI03wjpsNzfxi71i5UNDaA/dH95vQenrigAooorC03w/4n1FDJ9pu4YQMmV5WCj6nOB+N&#xA;dIPCV2bKOObxJAJFztK6onOfX5qoXt7rmqy7LmdooGBBt7f92u30IXGePWoP7ItFuI4CgwV+dWHP&#xA;50AFFFFQXvhrxHbxPLBfz3MatgtBcGRR/wACBxXMzX2qwOUlvLxCPWVv8a7IwahpTF9NupYYo2DL&#xA;CzEoxHqp4NWFhsPFtm9neRJZa2nzI2NqXH09Dz0HpmgAooorgf7V1H/n/uv+/wA3+NH9q6j/AM/9&#xA;1/3+b/Gm31lNp93JbToVdDg5qtQAUUUVuaPqd+124N9cn92esreo96KqaN/x+P8A9cz/ADFFABRR&#xA;RWdRRRQAUUUV2ngTS7ZRd6/qCbrPT1zt6FmOAMe+Wz+Fa1uBdXEmp3rn7RcHexbrk9vao7dkj+FU&#xA;EYxmS6DsB3HIq5FHDHEJJTuAAwG5xQAUUUVaESu8cinhRVO5gZr2MnDE/oKuRzpJGDEAAegxisC4&#xA;1a+t7l4mjRmUjD7MYzQAUUUVvSwCTywT8q9Qe9Zl7Zx3cLMm5JIm3KwPINaUEri3Uzkb8ZJFMj8t&#xA;smMgoT8wIoAKKKK5/wASKuteHIdZdh9vjlMV0uOWxjDnHHJJ6elcRXocWHXXbVY0VJ7YMeOhTLZF&#xA;eeUAFFFFaOjf8fj/APXM/wAxRRo3/H4//XM/zFFABRRRVS5SFJmEDl4+MEjFQ0UUAFFFFeh6XGLz&#xA;4cgrw0Nx5fP4tUCTt9liY5aM8H2rrPhtpEt78LtaSKFZZZLlZEDHGAABXOxiKNpIJwUdOHjI/pQA&#xA;UUUVajIQR5YAEZHtTpBC8+8ldxAGPXnNZN7GFj82FiQBgD0rPjuI2RlMsRfdkZIBBoAKKKK6mVtz&#xA;hVIJ7Cs1Sy3jJG23aPnJ6VVs3lmA3OMg9QeMVekWG3RmI3l/vN2oAKKKKdoSrcXeqFztj+yTqGPc&#xA;hDXm5GCR6V654c06ODSdUupLdzE9pOyFoyFB2Hv615GTkk+tABRRRWrokcZklcviQDAX1Hr/AC/O&#xA;iotG/wCPx/8Armf5iigAooorOooooAKKKK+jPAzXGgfCm2vrOCGaeWJpGWViFP7wryRXnusbdZuZ&#xA;L3y1tJydziNiR+Ga73wbM158JrKIEEIrq2OcfOxrzuRnWVYkP+tYJtPdieKACiiiqZiuZI/KEqsh&#xA;U5d+MEVyxSFGwZHV8/Nkfyru7azhnv1t79zFGJPLlZSDtHQnjNctc+HZI7mUJOHVXAD4xuHrQAUU&#xA;UVpW1pcwWKNbASJIM7yen1qaG2un3NPKGhUgmNeprRfS7SxghW2vnuSUBcshADdwOBVtlutOj+yS&#xA;xpG8oDsxILKvp178GgAoooruNFvJdW8FahA+m/Z7eK1mRJP7x2H9a+dpk8uZ0/usRX0ToU8dj4H1&#xA;OYy/KLJzhvUqRivnaV/Mmdz1Yk0AFFFFXtG/4/H/AOuZ/mKKNG/4/H/65n+YooAKKKKzqK9E/s2w&#xA;/wCfK2/79L/hR/Zth/z5W3/fpf8ACgAoooqh4Y+Ilz4b0G40tbMTpK2Q5kI2/pWHc+IZbhR+6CsG&#xA;DBg3Qg5rq/7NsP8Anytv+/S/4Uf2bYf8+Vt/36X/AAoAKKKK5hfEsiqf3ALHliWzk02TWZTJHcvE&#xA;drZGBLwSPb8RXU/2bYf8+Vt/36X/AAqxLp1j9kgH2O3wC2B5S+3tSAKKKK5J/FEzqFMIAByAGpi+&#xA;JrlpJJbgNNI5B3M5yMDAH5V1H9m2H/Plbf8Afpf8KP7NsP8Anytv+/S/4UwCiiiqV78Rp7zwm+hi&#xA;wji3hQZ0fBIHqMc1xFeif2bYf8+Vt/36X/Cj+zbD/nytv+/S/wCFABRRRXGaN/x+P/1zP8xRXoGm&#xA;6dYi4bFnbj5D0iX1HtRQAUUUV//Z" posX="421" posY="210">
                        <authors>
                                <author fullName="Cyrus Coffman" email="" website="" />
                        </authors>
                        <executableAuthors>
                                <author fullName="psychiatry.uiowa.edu" email="" website="" />
                        </executableAuthors>
                        <tag />
                        <uri>http://www.nitrc.org/projects/multimodereg/</uri>
                        <metadata>
                                <data key="__creationDateKey" value="Fri Sep 11 08:59:30 CDT 2009" />
                        </metadata>
                        <input id="BRAINSFit_1.fixedVolume" name="fixedVolume" description="The fixed image for registration by mutual information optimization " enabled="true" required="true" order="33" switch="--fixedVolume" switchSpaced="true">
                                <format type="File" cardinality="1">
                                        <fileTypes>
                                                <filetype name="nifti zip" extension="nii.gz" description="zipped nifti image" />
                                        </fileTypes>
                                </format>
                        </input>
                        <input id="BRAINSFit_1.movingVolume" name="movingVolume" description=" The moving image for registration. " enabled="true" required="true" order="32" switch="--movingVolume" switchSpaced="true">
                                <format type="File" cardinality="1">
                                        <fileTypes>
                                                <filetype name="nifti zip" extension="nii.gz" description="zipped nifti image" />
                                        </fileTypes>
                                </format>
                        </input>
                        <input id="BRAINSFit_1.transformType" name="transformType" description="Specifies one of the four recognized ITK 3D transform types used in parameter optimization descent. BRAINSFit always optimizes mutual information, but the kind of descent varies with the transform type. One of Rigid, ScaleVersor3D, Affine,  BSpline, ScaleSkewVersor3D (default: Rigid). Use commas (with no spaces) to separate multiple input values." enabled="true" required="true" order="30" switch="--transformType" switchSpaced="true">
                                <format type="String" cardinality="1" />
                                <values>
                                        <value />
                                </values>
                        </input>
                        <input id="BRAINSFit_1.initializeTransformMode" name="initializeTransformMode" description="Determine how to initialize the transform. GeometryOn on assumes that the center of the voxel lattice of the images represent similar structures. MomentsOn assumes that the center of mass of the images represent similar structures. Off assumes that the physical space of the images are close, and that an identity matrix initialization is a good starting point. This ﬂag is mutually exclusive with the initialTransform ﬂag. One of Off, MomentsOn, GeometryOn (default: Off)" enabled="false" required="false" order="26" switch="--initializeTransformMode" switchSpaced="true">
                                <format type="Enumerated" cardinality="1">
                                        <enumeration>MomentsOn</enumeration>
                                        <enumeration>GeometryOn</enumeration>
                                        <enumeration>Off</enumeration>
                                        <enumeration>CenterOfHead</enumeration>
                                </format>
                                <values>
                                        <value />
                                </values>
                        </input>
                        <input id="BRAINSFit_1.initialTransform" name="initialTransform" description="Filename of transform used to initialize the registration." enabled="false" required="false" order="29" switch="--initialTransform" switchSpaced="true">
                                <format type="File" cardinality="1">
                                        <fileTypes>
                                                <filetype name="mat" extension="mat" description="mat image" />
                                        </fileTypes>
                                </format>
                        </input>
                        <input id="BRAINSFit_1.numberOfIterations" name="numberOfIterations" description="The maximum number of iterations to try before failing to converge. Use an explicit limit like 500 or 1000 to manage risk of divergence (default: 1500)" enabled="false" required="false" order="16" switch="--numberOfIterations" switchSpaced="true">
                                <format type="Number" cardinality="1" />
                        </input>
                        <input id="BRAINSFit_1.numberOfSamples" name="numberOfSamples" description="The number of voxels sampled for mutual information computation. Increase this for a slower, more careful fit. You can also limit the sampling focus with ROI masks and ROIAUTO mask generation. (default: 100000) " enabled="false" required="false" order="13" switch="--numberOfSamples" switchSpaced="true">
                                <format type="Number" cardinality="1" />
                        </input>
                        <input id="BRAINSFit_1.minimumStepSize" name="minimumStepSize" description="Each step in the optimization takes steps at least this big. When none are possible, registration is complete. (default: 0.005)  Use commas (with no spaces) to separate multiple input values." enabled="false" required="false" order="7" switch="--minimumStepSize" switchSpaced="true">
                                <format type="String" cardinality="1" />
                        </input>
                        <input id="BRAINSFit_1.skewScale" name="skewScale" description="ScaleSkewVersor3D Skew compensation factor. Increase this to put more skew in a ScaleSkewVersor3D search pattern. 1.0 works well with a translationScale of 1000.0. (default: 1.0) " enabled="false" required="false" order="12" switch="--skewScale" switchSpaced="true">
                                <format type="Number" cardinality="1" />
                        </input>
                        <output id="BRAINSFit_1.outputTransform" name="outputTransform" description="Filename to which save the estimated transform. " enabled="false" required="false" order="28" switch="--outputTransform" switchSpaced="true">
                                <format type="File" cardinality="1">
                                        <fileTypes>
                                                <filetype name="mat" extension="mat" description="mat image" />
                                        </fileTypes>
                                </format>
                        </output>
                        <output id="BRAINSFit_1.strippedOutputTransform" name="strippedOutputTransform" description="Estimated transform, stripped of scaling, to register the moving image to the fixed image." enabled="false" required="false" order="27" switch="--strippedOutputTransform" switchSpaced="true">
                                <format type="File" cardinality="1">
                                        <fileTypes>
                                                <filetype name="mat" extension="mat" description="mat image" />
                                        </fileTypes>
                                </format>
                        </output>
                        <output id="BRAINSFit_1.outputVolume" name="outputVolume" description="The (optional) output image for registration." enabled="false" required="false" order="31" switch="--outputVolume" switchSpaced="true">
                                <format type="File" cardinality="1">
                                        <fileTypes>
                                                <filetype name="nifti zip" extension="nii.gz" description="zipped nifti image" />
                                        </fileTypes>
                                </format>
                        </output>
                        <input id="BRAINSFit_1.backgroundFillValue" name="backgroundFillValue" description="Background fill value for output image. (default: 0.0) " enabled="false" required="false" order="5" switch="--backgroundFillValue" switchSpaced="true">
                                <format type="Number" cardinality="1" />
                        </input>
                        <output id="BRAINSFit_1.scaleOutputValues" name="scaleOutputValues " description="If true, and the voxel values do not fit within the minimum and maximum values of the desired outputVolumePixelType, then linearly scale the min/max output image voxel values to fit within the min/max range of the outputVolumePixelType. (default: false)" enabled="false" required="false" order="22" switch="--scaleOutputValues" switchSpaced="false">
                                <format type="File" cardinality="0">
                                        <fileTypes>
                                                <filetype name="No input" extension="" description="" />
                                        </fileTypes>
                                </format>
                        </output>
                        <output id="BRAINSFit_1.useWindowedSinc" name="useWindowedSinc " description="Use windowedSinc interpolation to create output images. WARNING: This will add 8 minutes to the interpolation of the final image of size 256x256x256. (default: false) " enabled="false" required="false" order="39" switch="--useWindowedSinc" switchSpaced="true">
                                <format type="File" cardinality="0">
                                        <fileTypes>
                                                <filetype name="No input" extension="" description="" />
                                        </fileTypes>
                                </format>
                        </output>
                        <input id="BRAINSFit_1.maskProcessingMode" name="maskProcessingMode" description="What mode to use for using the masks. If ROIAUTO is chosen, then the mask is implicitly defined using a otsu forground and hole filling algorithm. ROI, the Region Of Interest mode, uses the masks to define what parts of the image should be used for computing the transform. One of NOMASK, ROIAUTO, ROI (default: NOMASK)" enabled="false" required="false" order="40" switch="--maskProcessingMode" switchSpaced="true">
                                <format type="Enumerated" cardinality="1">
                                        <enumeration>NOMASK</enumeration>
                                        <enumeration>ROIAUTO</enumeration>
                                        <enumeration>ROI</enumeration>
                                </format>
                        </input>
                        <input id="BRAINSFit_1.fixedBinaryVolume" name="fixedBinaryVolume " description="Fixed Image binary mask volume." enabled="false" required="false" order="25" switch="--fixedBinaryVolume" switchSpaced="true">
                                <format type="File" cardinality="1">
                                        <fileTypes>
                                                <filetype name="mask" extension=".mask" description="mask image" />
                                        </fileTypes>
                                </format>
                        </input>
                        <input id="BRAINSFit_1.movingBinaryVolume" name="movingBinaryVolume" description="Moving Image binary mask volume. " enabled="false" required="false" order="24" switch="--movingBinaryVolume" switchSpaced="true">
                                <format type="File" cardinality="1">
                                        <fileTypes>
                                                <filetype name="mask" extension=".mask" description="mask image" />
                                        </fileTypes>
                                </format>
                        </input>
                        <input id="BRAINSFit_1.fixedVolumeTimeIndex" name="fixedVolumeTimeIndex" description="The index in the time series for the 3D fixed image to fit, if 4-dimensional. (default: 0)" enabled="false" required="false" order="20" switch="--fixedVolumeTimeIndex" switchSpaced="true">
                                <format type="Number" cardinality="1" />
                        </input>
                        <input id="BRAINSFit_1.movingVolumeTimeIndex" name="movingVolumeTimeIndex" description="The index in the time series for the 3D moving image to fit, if 4-dimensional. (default: 0) " enabled="false" required="false" order="19" switch="--movingVolumeTimeIndex" switchSpaced="true">
                                <format type="Number" cardinality="1" />
                        </input>
                        <input id="BRAINSFit_1.fixedVolumeOrigin" name="fixedVolumeOrigin" description="The coordinates of the origin of the fixed image. (default: 0,0,0)   Use commas (with no spaces) to separate multiple input values." enabled="false" required="false" order="18" switch="--fixedVolumeOrigin" switchSpaced="true">
                                <format type="String" cardinality="1" />
                        </input>
                        <input id="BRAINSFit_1.movingVolumeOrigin" name="movingVolumeOrigin " description="The coordinates of the origin of the moving image. (default: 0,0,0)  Use commas (with no spaces) to separate multiple input values." enabled="false" required="false" order="17" switch="--movingVolumeOrigin" switchSpaced="true">
                                <format type="String" cardinality="1" />
                        </input>
                        <input id="BRAINSFit_1.medianFilterSize" name="medianFilterSize " description="The radius for the optional MedianImageFilter preprocessing in all 3 directions. (default: 0,0,0)  Use commas (with no spaces) to separate multiple input values." enabled="false" required="false" order="8" switch="--medianFilterSize" switchSpaced="true">
                                <format type="String" cardinality="1" />
                        </input>
                        <input id="BRAINSFit_1.relaxationFactor" name="relaxationFactor" description="Internal debugging parameter (default: 0.5) " enabled="false" required="false" order="9" switch="--relaxationFactor" switchSpaced="true">
                                <format type="Number" cardinality="1" />
                        </input>
                        <input id="BRAINSFit_1.maximumStepSize" name="maximumStepSize " description="Internal debugging parameter (default: 0.2)  Use commas (with no spaces) to separate multiple input values." enabled="false" required="false" order="6" switch="--maximumStepSize" switchSpaced="true">
                                <format type="String" cardinality="1" />
                        </input>
                        <input id="BRAINSFit_1.failureExitCode" name="failureExitCode" description="If fit fails exit with this status code rather than 0. It can be used to force a successfult exit status of (0) if the registration fails due to reaching the maximum number of iterations. (default: -1)" enabled="false" required="false" order="41" switch="--failureExitCode" switchSpaced="true">
                                <format type="Number" cardinality="1" />
                        </input>
                        <input id="BRAINSFit_1.writeTransformOnFailure" name="writeTransformOnFailure" description="Flag to save the final transform even if the numberOfIterations are reached without convergence. Intended for use when --failureExitCode 0 (default: 0) &#xA;" enabled="false" required="false" order="42" switch="--writeTransformOnFailure" switchSpaced="true">
                                <format type="File" cardinality="0">
                                        <fileTypes>
                                                <filetype name="No input" extension="" description="" />
                                        </fileTypes>
                                </format>
                        </input>
                        <input id="BRAINSFit_1.debugNumberOfThreads" name="debugNumberOfThreads " description="Explicitly specify the maximum number of execution threads to use." enabled="false" required="false" order="44" switch="--debugNumberOfThreads" switchSpaced="true">
                                <format type="Number" cardinality="1" />
                        </input>
                        <input id="BRAINSFit_1.processinformationaddress" name="processinformationaddress " description="Address of a structure to store process information (progress, abort, etc.). (default: 0) " enabled="false" required="false" order="0" switch="--processinformationaddress" switchSpaced="true">
                                <format type="Number" cardinality="1" />
                        </input>
                        <input id="BRAINSFit_1.xml" name="xml " description="Produce xml description of command line arguments (default: 0) " enabled="false" required="false" order="1" switch="--xml" switchSpaced="true">
                                <format type="File" cardinality="0">
                                        <fileTypes>
                                                <filetype name="No input" extension="" description="" />
                                        </fileTypes>
                                </format>
                        </input>
                        <input id="BRAINSFit_1.echo" name="echo " description="Echo the command line arguments (default: 0) " enabled="false" required="false" order="2" switch="--echo" switchSpaced="true">
                                <format type="File" cardinality="0">
                                        <fileTypes>
                                                <filetype name="No input" extension="" description="" />
                                        </fileTypes>
                                </format>
                        </input>
                        <input id="BRAINSFit_1.ignore" name="ignore " description="Ignores the rest of the labeled arguments following this ﬂag. " enabled="false" required="false" order="35" switch="--ignore" switchSpaced="true">
                                <format type="File" cardinality="0">
                                        <fileTypes>
                                                <filetype name="No input" extension="" description="" />
                                        </fileTypes>
                                </format>
                        </input>
                        <input id="BRAINSFit_1.version" name="version" description="Displays version information and exits." enabled="false" required="false" order="36" switch="--version" switchSpaced="true">
                                <format type="File" cardinality="0">
                                        <fileTypes>
                                                <filetype name="No input" extension="" description="" />
                                        </fileTypes>
                                </format>
                        </input>
                        <input id="BRAINSFit_1.help" name="help" description="Displays usage information and exits." enabled="false" required="false" order="37" switch="--help" switchSpaced="true">
                                <format type="File" cardinality="0">
                                        <fileTypes>
                                                <filetype name="No input" extension="" description="" />
                                        </fileTypes>
                                </format>
                        </input>
                        <input id="BRAINSFit_1.numberofHistogramBins" name="numberofHistogramBins" description="The number of histogram levels. " enabled="false" required="false" order="14" switch="--numberOfHistogramBins" switchSpaced="true">
                                <format type="Number" cardinality="1" />
                        </input>
                        <input id="BRAINSFit_1.studyID" name="studyID" description="Identifier for the scanner encounter (MRQID). (default: ANON) " enabled="false" required="false" order="3" switch="--studyID" switchSpaced="true">
                                <format type="String" cardinality="1" />
                        </input>
                        <input id="BRAINSFit_1.patientID" name="patientID" description=" Identifier for the research subject. (default: ANON) " enabled="false" required="false" order="4" switch="--patientID" switchSpaced="true">
                                <format type="String" cardinality="1" />
                        </input>
                        <input id="BRAINSFit_1.outputVolumePixelType" name="outputVolumePixelType" description="The output image Pixel Type is the scalar datatype for representation of the Output Volume. One of float, short, ushort, int, uint, char, uchar (default: float)" enabled="false" required="false" order="23" switch="--outputVolumePixelType" switchSpaced="true">
                                <format type="Enumerated" cardinality="1">
                                        <enumeration>float</enumeration>
                                        <enumeration>int</enumeration>
                                        <enumeration>short</enumeration>
                                        <enumeration>char</enumeration>
                                        <enumeration>ushort</enumeration>
                                        <enumeration>uint</enumeration>
                                        <enumeration>uchar</enumeration>
                                </format>
                        </input>
                        <input id="BRAINSFit_1.translationScale" name="translationScale" description="How much to scale up changes in position compared to unit rotational changes in radians -- decrease this to put more rotation in the search pattern.(default: 1000.0) &#xA;&#xA;***Replaced: Deprecated --spatialScale and --transformScale" enabled="false" required="false" order="10" switch="--translationScale" switchSpaced="true">
                                <format type="Number" cardinality="1" />
                        </input>
                        <input id="BRAINSFit_1.splineGridSize" name="splineGridSize" description="The number of subdivisions of the BSpline Grid to be centered on the image space. Each dimension must have at least 3 subdivisions for the BSpline to be correctly computed. Use commas (with no spaces) to separate input values." enabled="false" required="false" order="38" switch="--splineGridSize" switchSpaced="true">
                                <format type="String" cardinality="1" />
                        </input>
                        <input id="BRAINSFit_1.forceImageOrientation" name="forceImageOrientation" description="Force Image orientation: Axial, Coronal, Sagittal;  sets how to permute axes of both the moving and fixed images so that they are in the same orientation. (default: DoNotReorient)&#xA;" enabled="false" required="false" order="21" switch="--forceImageOrientation" switchSpaced="true">
                                <format type="Enumerated" cardinality="1">
                                        <enumeration>DoNotReorient</enumeration>
                                        <enumeration>Axial</enumeration>
                                        <enumeration>Coronal</enumeration>
                                        <enumeration>Sagittal</enumeration>
                                </format>
                        </input>
                        <input id="BRAINSFit_1.permitParameterVariation" name="permitParameterVariation" description="A bit vector to permit linear transform parameters to vary under optimization. The vector order corresponds with transform parameters, and beyond the end ones fill in as a default. For instance, you can choose to rotate only in x (pitch) with 1,0,0; this is mostly for expert use in turning on and off individual degrees of freedom in rotation, translation or scaling without multiplying the number of transform representations; this trick is probably meaningless when tried with the general affine transform.  Use commas (with no spaces) to separate multiple input values.Use commas (with no spaces) to separate multiple input values." enabled="false" required="false" order="34" switch="--permitParameterVariation" switchSpaced="true">
                                <format type="String" cardinality="1" />
                        </input>
                        <input id="BRAINSFit_1.explicitOrigins" name="explicitOrigins" description="Flag to use origins such as a hand-picked AC point for initial&#xA;alignment instead of the origins that came with the fixed and moving&#xA;images.  If --explicitOrigins is given and the origins are both 0,0,0,&#xA;then the resulting transform will be represented with respect to 0,0,0&#xA;and the fit will rotate about the image centroids. (default: 0)&#xA;" enabled="false" required="false" order="43" switch="--explicitOrigins" switchSpaced="true">
                                <format type="Number" cardinality="1" />
                        </input>
                        <input id="BRAINSFit_1.maskInferiorCutOffFromCenter" name="maskInferiorCutOffFromCenter" description="The cut-off below the image centers, in millimeters. For use with --initializeTransformMode CenterOfHead and --maskProcessingMode ROIAUTO. (default: 0)" enabled="false" required="false" order="45" switch="--maskInferiorCutOffFromCenter" switchSpaced="true">
                                <format type="Number" cardinality="1" />
                        </input>
                        <input id="BRAINSFit_1.outputMovingVolumeROI" name="outputMovingVolumeROI" description="The ROI automatically found in moving image." enabled="false" required="false" order="46" switch="--outputMovingVolumeROI" switchSpaced="true">
                                <format type="File" cardinality="1">
                                        <fileTypes>
                                                <filetype name="Nii Gz" extension="nii.gz" description="Compressed Nifti" />
                                        </fileTypes>
                                </format>
                        </input>
                        <input id="BRAINSFit_1.outputFixedVolumeROI" name="outputFixedVolumeROI" description="The ROI automatically found in fixed image." enabled="false" required="false" order="47" switch="--outputFixedVolumeROI" switchSpaced="true">
                                <format type="File" cardinality="1">
                                        <fileTypes>
                                                <filetype name="Nii Gz" extension="nii.gz" description="Compressed Nifti" />
                                        </fileTypes>
                                </format>
                        </input>
                        <input id="BRAINSFit_1.histogramMatch" name="histogramMatch" description="Histogram Match the input images.  This is suitable for images of the same modality that may have different absolute scales, but the same overall intensity profile.  (Also flagged by -e)" enabled="false" required="false" order="15" switch="--histogramMatch" switchSpaced="true">
                                <format type="File" cardinality="1">
                                        <fileTypes>
                                                <filetype name="" extension="" description="" />
                                        </fileTypes>
                                </format>
                        </input>
                        <input id="BRAINSFit_1.numberOfMatchPoints" name="numberOfMatchPoints" description="The number of match points (default: 10)" enabled="false" required="false" order="48" switch="--numberOfMatchPoints" switchSpaced="true">
                                <format type="Number" cardinality="1" />
                        </input>
                        <input id="BRAINSFit_1.useCachingOfBSplineWeightsMode" name="useCachingOfBSplineWeightsMode" description="This is a 5x speed advantage at the expense of requiring much more memory. Only relevant when transformType is BSpline. Either ON or OFF. (default: ON)" enabled="false" required="false" order="49" switch="--useCachingOfBSplineWeightsMode" switchSpaced="true">
                                <format type="Enumerated" cardinality="1">
                                        <enumeration>ON</enumeration>
                                        <enumeration>OFF</enumeration>
                                </format>
                        </input>
                        <input id="BRAINSFit_1.useExplicitPDFDerivativesMode" name="useExplicitPDFDerivativesMode" description="Using mode AUTO means OFF for BSplineDeformableTransforms and ON for the linear transforms.  The ON alternative uses more memory to sometimes do a better job. (default: OFF)" enabled="false" required="false" order="50" switch="--useExplicitPDFDerivativesMode" switchSpaced="true">
                                <format type="Enumerated" cardinality="1">
                                        <enumeration>AUTO</enumeration>
                                        <enumeration>ON</enumeration>
                                        <enumeration>OFF</enumeration>
                                </format>
                        </input>
                        <input id="BRAINSFit_1.gui" name="gui" description="Display intermediate image volumes for debugging.  NOTE:  This is not part of the standard build sytem, and probably does nothing on your installation. Alternatively, -g is used as a switch value." enabled="false" required="false" order="53" switch="--gui" switchSpaced="true">
                                <format type="File" cardinality="1">
                                        <fileTypes>
                                                <filetype name="" extension="" description="" />
                                        </fileTypes>
                                </format>
                        </input>
                        <input id="BRAINSFit_1.reproportionScale" name="reproportionScale" description="ScaleVersor3D ’Scale’ compensation factor. Increase this to put more rescaling in a ScaleVersor3D or ScaleSkewVersor3D search pattern. 1.0 works well with a translationScale of 1000.0. (default: 1.0)" enabled="false" required="false" order="11" switch="--reproportionScale" switchSpaced="true">
                                <format type="Number" cardinality="1" />
                        </input>
                        <input id="BRAINSFit_1.initialTransformPassThru" name="initialTransformPassThru" description="Internal debugging parameter. " enabled="false" required="false" order="51" switch="--initialTransformPassThru" switchSpaced="true">
                                <format type="File" cardinality="1">
                                        <fileTypes>
                                                <filetype name="" extension="" description="" />
                                        </fileTypes>
                                </format>
                        </input>
                        <input id="BRAINSFit_1.debugLevel" name="debugLevel" description="Display debug messages, and produce debug intermediate results. 0=OFF, 1=Minimal, 10=Maximum debugging. " enabled="false" required="false" order="52" switch="--debugLevel" switchSpaced="true">
                                <format type="Number" cardinality="1" />
                        </input>
                </module>
                <variables>
                        <variable name="OUTPUT_DIRECTORY">/Users/cwcoffma/src/BRAINSFit_Files/Testing/</variable>
                        <variable name="BRAINSFIT_SOURCE_IMAGES">/Users/cwcoffma/src/BRAINSFit_Files/BRAINSFit/TestData</variable>
                </variables>
        </moduleGroup>
</pipeline>

